%global debug_package   %{nil}

Summary: Complementary and updated manual pages
Name: man-pages-overrides
Version: 8.2.0.2
Release: 1%{?dist}
# license is the same as for the man-pages package
License: GPL+ and GPLv2+ and BSD and MIT and Copyright only and IEEE
Group: Documentation
# there is no public download location for this package
Source: man-pages-overrides-%{version}.tar.xz

Patch0: 1706882-mpo-8.1.0.0-rpc.3.patch
Patch1: 1673142-mpo-8.2.0.0-copy_file_range.2.patch
Patch2: 1517305-mpo-8.2.0.1-jose-.1.patch

BuildArch: noarch

# make sure man-pages-overrides is installed with man-pages
Supplements: man-pages

%description
A collection of manual ("man") pages to complement other packages or update
those contained therein. Always have the latest version of this package
installed.

%prep
%autosetup -p1
# remove unwanted *.orig files
find -name "*.orig" -delete

%build
# nothing to build

%install
mkdir -p $RPM_BUILD_ROOT%{_mandir}/overrides
mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
for i in *; do
    if [[ -d "$i" ]]; then
        for j in $(ls "$i"); do
           if [[ -d "$i/$j" ]]; then
               mkdir -p "$RPM_BUILD_ROOT%{_mandir}/overrides/$j"
               for k in $(ls "$i/$j"); do
                   if [[ -d "$i/$j/$k" ]]; then
                       mkdir -p "$RPM_BUILD_ROOT%{_mandir}/overrides/$j/$k"
                       cp -f "$i/$j/$k"/* "$RPM_BUILD_ROOT%{_mandir}/overrides/$j/$k"
                   else
                       cp -f "$i/$j"/* "$RPM_BUILD_ROOT%{_mandir}/overrides/$j"
                   fi
               done
           else
              mkdir -p "$RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/$i"
              cp "$i/$j" "$RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/$i"
           fi
        done
    fi
done

%files
%doc %{_docdir}/%{name}-%{version}
%{_mandir}/overrides/

%changelog
* Thu Dec 19 2019 Nikola Forró <nforro@redhat.com> - 8.2.0.2-1
- Upload new tarball
- kernel_lockdown.7: add missing .RE macro
  related: #1781945

* Wed Dec 18 2019 Nikola Forró <nforro@redhat.com> - 8.2.0.1-1
- Upload new tarball
- jose-*.1: fix typographical errors
  resolves: #1517305

* Fri Dec 13 2019 Nikola Forró <nforro@redhat.com> - 8.2.0.0-1
- Upload new tarball
- kernel_lockdown.7: add new manpage
  resolves: #1781945
- copy_file_range.2: update ERRORS
  resolves: #1673142

* Wed Jun 19 2019 Nikola Forró <nforro@redhat.com> - 8.1.0.0-2
- Mark this package as man-pages supplement
  related: #1706882

* Wed May 29 2019 Nikola Forró <nforro@redhat.com> - 8.1.0.0-1
- Upload new tarball
- rpc.3: indicate that <rpc/rpc.h> is provided by libtirpc-devel, not glibc
  resolves: #1706882

* Thu Jul 26 2018 Nikola Forró <nforro@redhat.com> - 8.0.0-1
- Initial package for RHEL 8.0
